org.modeshape.common.text

## Class QuoteEncoder

- java.lang.Object
- - org.modeshape.common.text.QuoteEncoder

- All Implemented Interfaces:
    TextDecoder, TextEncoder

      public class QuoteEncoder
      extends Object
      implements TextDecoder, TextEncoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `ESCAPE_CHARACTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuoteEncoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `decode(String encodedText)` Return the decoded version of an encoded string
    `String` | `encode(String text)` Returns the encoded version of a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ESCAPE_CHARACTER

          public static final char ESCAPE_CHARACTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### QuoteEncoder

          public QuoteEncoder()

  - ### Method Detail

    - #### decode

          public String decode(String encodedText)

      Return the decoded version of an encoded string
      Specified by:
        `decode` in interface `TextDecoder`
      Parameters:
        `encodedText` - the encoded text
      Returns:
        the unecoded form of the text, or null if the supplied node name is also null
      See Also:
        `TextDecoder.decode(java.lang.String)`

    - #### encode

          public String encode(String text)

      Returns the encoded version of a string.
      Specified by:
        `encode` in interface `TextEncoder`
      Parameters:
        `text` - the text with characters that are to be encoded.
      Returns:
        the text with the characters encoded as required, or null if the supplied text is null
      See Also:
        `TextEncoder.encode(java.lang.String)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.